name: CI
on:
  push:
    branches: [ master ]
jobs:
  build:
    runs-on: woryzen
    steps:
      - name: Checkout sources
        uses: actions/checkout@v4
      - name: Run unit tests
        run: |
          cargo test
      - name: Publish artifacts
        env:
          CARGO_REGISTRIES_GITEA_TOKEN: Bearer ${{ secrets.PUBLISHER_TOKEN }}
        run: |
          cargo publish --registry=gitea
